/vaults/assetsGet Vault Assets
Outcome - Returns all assets available in a vault.
Query Parameters
pagenumbernullablePage number for pagination
limitnumbernullableNumber of items per page
searchstringnullableSearch term for filtering results by fields ('name', 'symbol', 'contractAddress').
filtersobjectnullableAdditional filters for the query.
Show child parameters (7)
idnumbernullablefilter query by asset ID. example: filters[id] = 1 or filters[id] = NotIn(1,2,3)
statusstringnullablefilter query by asset status. example: filters[status] = ACTIVE
typestringnullablefilter query by asset type. example: filters[type] = TOKEN
networkIdnumbernullablefilter query by network ID. example: filters[networkId] = 1
vaultAssetsstringnullablefilter query by vault assets. example: filters[vaultAssets] = 1 or filters[vaultAssets] = In(1,2,3) or filters[vaultAssets] = notHave
vaultAssetsStatusstringnullablefilter query by vault asset status. example: filters[vaultAssetsStatus] = active
isSwappablebooleannullablefilter query by network swappable status. example: filters[isSwappable] = true
Responses
Response attributes
messagestringResponse message
dataarrayArray of vault assets
Show child attributes (12)
idnumberAsset ID
namestringAsset name
symbolstringAsset symbol
contractAddressstringAsset contract address
decimalsnumberAsset decimals
networkobjectNetwork information
Show child attributes (5)
idnumberNetwork ID
namestringNetwork name
symbolstringNetwork symbol
isSwappablebooleanWhether the network supports swapping
chainobjectChain details
Show child attributes (5)
idnumberChain ID
namestringChain name
nativeCurrencyobjectNative currency details
Show child attributes (3)
namestringCurrency name
symbolstringCurrency symbol
decimalsnumberCurrency decimals
rpcUrlsobjectRPC URLs
Show child attributes (1)
defaultobjectDefault RPC configuration
Show child attributes (2)
httparrayHTTP RPC URLs
webSocketarrayWebSocket RPC URLs
blockExplorersobjectBlock explorer details
Show child attributes (1)
defaultobjectDefault block explorer
Show child attributes (3)
namestringExplorer name
urlstringExplorer URL
apiUrlstringExplorer API URL
createdAtstringAsset creation timestamp
updatedAtstringAsset last updated timestamp
vaultStatusstringAsset status in vault
typestringAsset type (TOKEN, COIN, etc.)
statusstringAsset status (ACTIVE, INACTIVE, etc.)
logostringAsset logo URL
metaobjectPagination metadata
Show child attributes (6)
totalItemsnumberTotal number of items
itemsPerPagenumberNumber of items per page
totalPagesnumberTotal number of pages
currentPagenumberCurrent page number
hasPreviousPagebooleanWhether there is a previous page
hasNextPagebooleanWhether there is a next page
statusnumberHTTP status code
Was this page helpful?